Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Per_Supplier_Filter_Builder Class Reference

Create Per_Supplier_Filter objects. More...

`#include <EC_Per_Supplier_Filter.h>`

Inheritance diagram for TAO_EC_Per_Supplier_Filter_Builder:

[legend]
Collaboration diagram for TAO_EC_Per_Supplier_Filter_Builder:

[legend]
List of all members.

## Public Methods
| TAO_EC_Per_Supplier_Filter_Builder (TAO_EC_Event_Channel_Base *ec)
| constructor....
virtual TAO_EC_Supplier_Filter * | create (RtecEventChannelAdmin::SupplierQOS &qos)
virtual void | destroy (TAO_EC_Supplier_Filter *filter)
| The user is returning the filter for destruction/recycling.
## Private Attributes
TAO_EC_Event_Channel_Base * | event_channel_
| The event channel.

## Detailed Description

Create Per_Supplier_Filter objects.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Per_Supplier_Filter_Builder::TAO_EC_Per_Supplier_Filter_Builder | ( | TAO_EC_Event_Channel_Base * | ec | ) |

| constructor....

## Member Function Documentation

TAO_EC_Supplier_Filter * TAO_EC_Per_Supplier_Filter_Builder::create | ( | RtecEventChannelAdmin::SupplierQOS & | qos | ) | `[virtual]`

| Create the filter. The consumer is bound to the returned Supplier_Filter, it must be unbound upon destruction and/or disconnection. Implements TAO_EC_Supplier_Filter_Builder.

void TAO_EC_Per_Supplier_Filter_Builder::destroy | ( | TAO_EC_Supplier_Filter * | filter | ) | `[virtual]`

| The user is returning the filter for destruction/recycling. Implements TAO_EC_Supplier_Filter_Builder.

## Member Data Documentation

TAO_EC_Event_Channel_Base* TAO_EC_Per_Supplier_Filter_Builder::event_channel_`[private]`

| The event channel.

The documentation for this class was generated from the following files:

- EC_Per_Supplier_Filter.h
- EC_Per_Supplier_Filter.cpp
- EC_Per_Supplier_Filter.i